
Redmine - Defect #20318

Unable to delete project. NoMethodError

2015-07-15 10:59 - Pavel Potcheptsov

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.3

Description

Started DELETE "/projects/some_project" for 127.0.0.1 at 2015-07-15 10:54:23 +0200

Processing by ProjectsController#destroy as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"some_token", "confirm"=>"1", "commit"=>"Delete"

, "id"=>"cdp-rp-development-project"}

  Current user: ppo (id=95)

Completed 500 Internal Server Error in 143ms (ActiveRecord: 120.9ms)

NoMethodError (undefined method `find_all_by_user_id_and_issue_id' for #<Class:0xdf97ab0>):

  app/models/issue.rb:189:in `destroy'

  app/controllers/projects_controller.rb:224:in `destroy'

 
Environment:

  Redmine version                3.0.3.stable.14266

  Ruby version                   1.9.3-p327 (2012-11-10) [i686-linux]

  Rails version                  4.2.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  advanced_roadmap_v2            2.4.1

  multi_time_tracker             0.1.5

  redmine_agile                  1.3.8

  redmine_checklists             3.1.1

  redmine_hide_estimated_hours   1.0.8

  redmine_lightbox2              0.2.2

  redmine_timesheet_plugin       0.7.0

  redmine_wktime                 1.8.1

  redmine_xls_export             0.2.1.t8

History

#1 - 2015-07-15 11:12 - Toshi MARUYAMA

- Category deleted (Projects)

- Status changed from New to Closed

- Priority changed from High to Low

- Resolution set to Invalid

Please contact plugin author.

find_all_by_... does not work on Rails 4.2.

https://github.com/rails/activerecord-deprecated_finders

https://github.com/raafael911/multi_time_tracker/blob/b2905be1ad0/lib/multi_time_tracker/patches/issue_patch.rb#L18

#2 - 2015-07-16 10:11 - Pavel Potcheptsov

Fixed. Thanks.
